<html>
<head>
<title>OGRE: Ogre::OverlayManager Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1OverlayManager.html">OverlayManager</a></div>
<h1>Ogre::OverlayManager Class Reference</h1><!-- doxytag: class="Ogre::OverlayManager" --><!-- doxytag: inherits="Ogre::Singleton,Ogre::ScriptLoader" -->Manages <a class="el" href="classOgre_1_1Overlay.html" title="Represents a layer which is rendered on top of the &#39;normal&#39; scene contents...">Overlay</a> objects, parsing them from .overlay files and storing a lookup library of them.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreOverlayManager_8h-source.html">OgreOverlayManager.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::OverlayManager:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1OverlayManager-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1Overlay.html">Overlay</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#1def2dea3aa2479b850b699c2c73e025">OverlayMap</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>,<br>
 <a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#96a3fbe3bce8a70cbedd1b6705106cdd">ElementMap</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a><br>
&lt; <a class="el" href="classOgre_1_1OverlayManager.html#1def2dea3aa2479b850b699c2c73e025">OverlayMap</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#1d38898d1d08e945f186e2043444588d">OverlayMapIterator</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a><br>
&lt; <a class="el" href="classOgre_1_1OverlayManager.html#96a3fbe3bce8a70cbedd1b6705106cdd">ElementMap</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#8121ac9b766f9055bf52f5a30d52bd42">TemplateIterator</a></td></tr>

<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#f2079b7b61e8df96d67f852aa6de7dac">OverlayManager</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#1cd64a87fb0ab23c3163af27989d8005">~OverlayManager</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#783e5227595f351519627abfb740ec85">StringVector</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#737c0c7db5f2d0049420c494129196c9">getScriptPatterns</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the file patterns which should be used to find scripts for this class. <p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method is called when a resource group is loaded if you use <a class="el" href="classOgre_1_1ResourceGroupManager.html#afd69be90e1774f2a4b34c4e6dcaa38a" title="Internal method for registering a ScriptLoader.">ResourceGroupManager::_registerScriptLoader</a>. </dd></dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A list of file patterns, in the order they should be searched in. </dd></dl>
  <a href="#737c0c7db5f2d0049420c494129196c9"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#ceba4bfe36019ec756be252be387defc">parseScript</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;groupName)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parse a script file. <p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>stream</em>&nbsp;</td><td>Weak reference to a data stream which is the source of the script </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>groupName</em>&nbsp;</td><td>The name of a resource group which should be used if any resources are created during the parse of this script. </td></tr>
  </table>
</dl>
  <a href="#ceba4bfe36019ec756be252be387defc"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#0fe98c5950e94bb2bbad458d751e817e">getLoadingOrder</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the relative loading order of scripts of this type. <p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>There are dependencies between some kinds of scripts, and to enforce this all implementors of this interface must define a loading order. </dd></dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A value representing the relative loading order of these scripts compared to other script users, where higher values load later. </dd></dl>
  <a href="#0fe98c5950e94bb2bbad458d751e817e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Overlay.html">Overlay</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#b6eb3dcc484ba5b06904ab2fb6b1aa23">create</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a new <a class="el" href="classOgre_1_1Overlay.html" title="Represents a layer which is rendered on top of the &#39;normal&#39; scene contents...">Overlay</a>.  <a href="#b6eb3dcc484ba5b06904ab2fb6b1aa23"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Overlay.html">Overlay</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#7d3ddc6d094b72e4b6d0f74376a118a3">getByName</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Retrieve an <a class="el" href="classOgre_1_1Overlay.html" title="Represents a layer which is rendered on top of the &#39;normal&#39; scene contents...">Overlay</a> by name.  <a href="#7d3ddc6d094b72e4b6d0f74376a118a3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#490ccc24cd1eda279e0bf349273598e8">destroy</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Destroys an existing overlay by name.  <a href="#490ccc24cd1eda279e0bf349273598e8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#9bb21fa10ec0c6e77b5eff13a9dccbe8">destroy</a> (<a class="el" href="classOgre_1_1Overlay.html">Overlay</a> *overlay)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Destroys an existing overlay.  <a href="#9bb21fa10ec0c6e77b5eff13a9dccbe8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#e3677704d31fd65c47e8f1f27c38fae3">destroyAll</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Destroys all existing overlays.  <a href="#e3677704d31fd65c47e8f1f27c38fae3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1MapIterator.html">OverlayMapIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#140ab8e9bc0e307c28b335406e45cef6">getOverlayIterator</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#1a73ce8b360346d2174a7be61d2ead7d">_queueOverlaysForRendering</a> (<a class="el" href="classOgre_1_1Camera.html">Camera</a> *cam, <a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a> *pQueue, <a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *vp)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Internal method for queueing the visible overlays for rendering.  <a href="#1a73ce8b360346d2174a7be61d2ead7d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#ed08da01b1d30c9ec612500b5ece35b9">hasViewportChanged</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Method for determining if the viewport has changed dimensions.  <a href="#ed08da01b1d30c9ec612500b5ece35b9"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#57af3f65687201de011e7e64552d028e">getViewportHeight</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the height of the destination viewport in pixels.  <a href="#57af3f65687201de011e7e64552d028e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#30a74f2a6d609220b53007a19c0579d5">getViewportWidth</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the width of the destination viewport in pixels.  <a href="#30a74f2a6d609220b53007a19c0579d5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#5643de1c418c05bc50fea7c003a21a67">getViewportAspectRatio</a> (void) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#58166a773d27c22437323e8ef710406b">createOverlayElement</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;typeName, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;instanceName, bool isTemplate=false)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Creates a new <a class="el" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a> of the type requested.  <a href="#58166a773d27c22437323e8ef710406b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#fcece7239c9ef7cb83e55d05870f797d">getOverlayElement</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, bool isTemplate=false)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets a reference to an existing element.  <a href="#fcece7239c9ef7cb83e55d05870f797d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#05a2779ad3df1e83ce3bac230312e6ae">destroyOverlayElement</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;instanceName, bool isTemplate=false)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Destroys a <a class="el" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a>.  <a href="#05a2779ad3df1e83ce3bac230312e6ae"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#016873becb2951e90e8870203f036621">destroyOverlayElement</a> (<a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a> *pInstance, bool isTemplate=false)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Destroys a <a class="el" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a>.  <a href="#016873becb2951e90e8870203f036621"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#24f13f48bd25f6792da795fe1c358bef">destroyAllOverlayElements</a> (bool isTemplate=false)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Destroys all the <a class="el" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a> created so far.  <a href="#24f13f48bd25f6792da795fe1c358bef"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#8d755456d249ff80d469e9c3944d22ed">addOverlayElementFactory</a> (<a class="el" href="classOgre_1_1OverlayElementFactory.html">OverlayElementFactory</a> *elemFactory)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Registers a new <a class="el" href="classOgre_1_1OverlayElementFactory.html" title="Defines the interface which all components wishing to supply OverlayElement subclasses...">OverlayElementFactory</a> with this manager.  <a href="#8d755456d249ff80d469e9c3944d22ed"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#242cf57b312d0d77e4023ce71be9aca1">createOverlayElementFromTemplate</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;templateName, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;typeName, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;instanceName, bool isTemplate=false)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#ef7dbde8bb2ecf9b8c44bd8974735c9f">cloneOverlayElementFromTemplate</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;templateName, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;instanceName)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Creates a new <a class="el" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a> object from the specified template name. </dd></dl>
 <a href="#ef7dbde8bb2ecf9b8c44bd8974735c9f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#093ac041b9750ba4d915b6c548d278aa">createOverlayElementFromFactory</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;typeName, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;instanceName)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1MapIterator.html">TemplateIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#9e6ec516d1d52c5291d5f943fc843ab2">getTemplateIterator</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns an iterator over all templates in this manager.  <a href="#9e6ec516d1d52c5291d5f943fc843ab2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#f80970f61eb0d6d20ec462f95f4e659a">isTemplate</a> (<a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> strName) const </td></tr>

<tr><td colspan="2"><br><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1OverlayManager.html">OverlayManager</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#de527bdaf5edb3d9d080f3cf292cfca5">getSingleton</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval.  <a href="#de527bdaf5edb3d9d080f3cf292cfca5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="classOgre_1_1OverlayManager.html">OverlayManager</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#ce76368f6fa68ae0dad4547c7f4be25c">getSingletonPtr</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval.  <a href="#ce76368f6fa68ae0dad4547c7f4be25c"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>,<br>
 <a class="el" href="classOgre_1_1OverlayElementFactory.html">OverlayElementFactory</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#47343d4ae891d8e1bf676c8c39104be4">FactoryMap</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::set<br>
&lt; <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#8943e6c383c1332091c591ec3fb53be3">LoadedScripts</a></td></tr>

<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#96e73cb47ca449c26db0d75dc6813d42">parseNewElement</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;chunk, <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;elemType, <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;elemName, bool isContainer, <a class="el" href="classOgre_1_1Overlay.html">Overlay</a> *pOverlay, bool isTemplate, <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> templateName=<a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>(&quot;&quot;), <a class="el" href="classOgre_1_1OverlayContainer.html">OverlayContainer</a> *container=0)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#af0b5faf59a556af71ef7b4b887d5381">parseAttrib</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;line, <a class="el" href="classOgre_1_1Overlay.html">Overlay</a> *pOverlay)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#fdce6f04e2e0097002caa4e3c40d3ecf">parseElementAttrib</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;line, <a class="el" href="classOgre_1_1Overlay.html">Overlay</a> *pOverlay, <a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a> *pElement)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#e17f13ae9a34814b1c0ef76f1ae33ee3">skipToNextCloseBrace</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;chunk)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#37796a5f2868d6aa127dcbd16fe1764a">skipToNextOpenBrace</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;chunk)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#b3fbeaf03da365270682e46a3ae13519">parseChildren</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;chunk, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;line, <a class="el" href="classOgre_1_1Overlay.html">Overlay</a> *pOverlay, bool isTemplate, <a class="el" href="classOgre_1_1OverlayContainer.html">OverlayContainer</a> *parent=NULL)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1OverlayManager.html#96a3fbe3bce8a70cbedd1b6705106cdd">ElementMap</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#ae9461f3bfd36b651927933f25f58f90">getElementMap</a> (bool isTemplate)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#1bbac03496a15f8f9603b68e80070c2c">createOverlayElementImpl</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;typeName, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;instanceName, <a class="el" href="classOgre_1_1OverlayManager.html#96a3fbe3bce8a70cbedd1b6705106cdd">ElementMap</a> &amp;elementMap)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#3cf68206137e3cc2b2230096dc6d4698">getOverlayElementImpl</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <a class="el" href="classOgre_1_1OverlayManager.html#96a3fbe3bce8a70cbedd1b6705106cdd">ElementMap</a> &amp;elementMap)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#d63ffecb48bd1e95fa71ff237de8f05d">destroyOverlayElementImpl</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;instanceName, <a class="el" href="classOgre_1_1OverlayManager.html#96a3fbe3bce8a70cbedd1b6705106cdd">ElementMap</a> &amp;elementMap)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#40dda4b2eff03a51a5bfeb8de9b29edf">destroyOverlayElementImpl</a> (<a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a> *pInstance, <a class="el" href="classOgre_1_1OverlayManager.html#96a3fbe3bce8a70cbedd1b6705106cdd">ElementMap</a> &amp;elementMap)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#1b8f8ee064b396bce89ac6160cbf797b">destroyAllOverlayElementsImpl</a> (<a class="el" href="classOgre_1_1OverlayManager.html#96a3fbe3bce8a70cbedd1b6705106cdd">ElementMap</a> &amp;elementMap)</td></tr>

<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1OverlayManager.html#1def2dea3aa2479b850b699c2c73e025">OverlayMap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#a302492cbd16256240d4887440ec7bbb">mOverlayMap</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#783e5227595f351519627abfb740ec85">StringVector</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#04a9c072c6106a1a848b0a47c40a930f">mScriptPatterns</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#04e5656f23bd72e781bbc4bf83ab38bc">mLastViewportWidth</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#516490c9c5ff818a521520259586d0a3">mLastViewportHeight</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#e10fee3d54d650aea1472151e7e3214f">mViewportDimensionsChanged</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1OverlayManager.html#47343d4ae891d8e1bf676c8c39104be4">FactoryMap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#dfd58dac2fb2627db482c02a618fed5b">mFactories</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1OverlayManager.html#96a3fbe3bce8a70cbedd1b6705106cdd">ElementMap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#f9d93d29680706dbf485bdd6f797e199">mInstances</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1OverlayManager.html#96a3fbe3bce8a70cbedd1b6705106cdd">ElementMap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#8c29379ab04930b44b4d4cd7d4ed342f">mTemplates</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1OverlayManager.html#8943e6c383c1332091c591ec3fb53be3">LoadedScripts</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayManager.html#15d8218b76f778c37940a898f51acb37">mLoadedScripts</a></td></tr>

<tr><td colspan="2"><br><h2>Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static T *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#d36ac06b409a2d580217328ef2cd3a01">ms_Singleton</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Manages <a class="el" href="classOgre_1_1Overlay.html" title="Represents a layer which is rendered on top of the &#39;normal&#39; scene contents...">Overlay</a> objects, parsing them from .overlay files and storing a lookup library of them. 
<p>
Alo manages the creation of OverlayContainers and OverlayElements, used for non-interactive 2D elements such as HUDs. 
<p>Definition at line <a class="el" href="OgreOverlayManager_8h-source.html#l00045">45</a> of file <a class="el" href="OgreOverlayManager_8h-source.html">OgreOverlayManager.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="1def2dea3aa2479b850b699c2c73e025"></a><!-- doxytag: member="Ogre::OverlayManager::OverlayMap" ref="1def2dea3aa2479b850b699c2c73e025" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::map&lt;<a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1Overlay.html">Overlay</a>*&gt; <a class="el" href="classOgre_1_1OverlayManager.html#1def2dea3aa2479b850b699c2c73e025">Ogre::OverlayManager::OverlayMap</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreOverlayManager_8h-source.html#l00048">48</a> of file <a class="el" href="OgreOverlayManager_8h-source.html">OgreOverlayManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="96a3fbe3bce8a70cbedd1b6705106cdd"></a><!-- doxytag: member="Ogre::OverlayManager::ElementMap" ref="96a3fbe3bce8a70cbedd1b6705106cdd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::map&lt;<a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a>*&gt; <a class="el" href="classOgre_1_1OverlayManager.html#96a3fbe3bce8a70cbedd1b6705106cdd">Ogre::OverlayManager::ElementMap</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreOverlayManager_8h-source.html#l00049">49</a> of file <a class="el" href="OgreOverlayManager_8h-source.html">OgreOverlayManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="47343d4ae891d8e1bf676c8c39104be4"></a><!-- doxytag: member="Ogre::OverlayManager::FactoryMap" ref="47343d4ae891d8e1bf676c8c39104be4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::map&lt;<a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1OverlayElementFactory.html">OverlayElementFactory</a>*&gt; <a class="el" href="classOgre_1_1OverlayManager.html#47343d4ae891d8e1bf676c8c39104be4">Ogre::OverlayManager::FactoryMap</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreOverlayManager_8h-source.html#l00067">67</a> of file <a class="el" href="OgreOverlayManager_8h-source.html">OgreOverlayManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8943e6c383c1332091c591ec3fb53be3"></a><!-- doxytag: member="Ogre::OverlayManager::LoadedScripts" ref="8943e6c383c1332091c591ec3fb53be3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::set&lt;<a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&gt; <a class="el" href="classOgre_1_1OverlayManager.html#8943e6c383c1332091c591ec3fb53be3">Ogre::OverlayManager::LoadedScripts</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreOverlayManager_8h-source.html#l00073">73</a> of file <a class="el" href="OgreOverlayManager_8h-source.html">OgreOverlayManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1d38898d1d08e945f186e2043444588d"></a><!-- doxytag: member="Ogre::OverlayManager::OverlayMapIterator" ref="1d38898d1d08e945f186e2043444588d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a>&lt;<a class="el" href="classOgre_1_1OverlayManager.html#1def2dea3aa2479b850b699c2c73e025">OverlayMap</a>&gt; <a class="el" href="classOgre_1_1MapIterator.html">Ogre::OverlayManager::OverlayMapIterator</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreOverlayManager_8h-source.html#l00114">114</a> of file <a class="el" href="OgreOverlayManager_8h-source.html">OgreOverlayManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8121ac9b766f9055bf52f5a30d52bd42"></a><!-- doxytag: member="Ogre::OverlayManager::TemplateIterator" ref="8121ac9b766f9055bf52f5a30d52bd42" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a>&lt;<a class="el" href="classOgre_1_1OverlayManager.html#96a3fbe3bce8a70cbedd1b6705106cdd">ElementMap</a>&gt; <a class="el" href="classOgre_1_1MapIterator.html">Ogre::OverlayManager::TemplateIterator</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreOverlayManager_8h-source.html#l00184">184</a> of file <a class="el" href="OgreOverlayManager_8h-source.html">OgreOverlayManager.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="f2079b7b61e8df96d67f852aa6de7dac"></a><!-- doxytag: member="Ogre::OverlayManager::OverlayManager" ref="f2079b7b61e8df96d67f852aa6de7dac" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::OverlayManager::OverlayManager           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="1cd64a87fb0ab23c3163af27989d8005"></a><!-- doxytag: member="Ogre::OverlayManager::~OverlayManager" ref="1cd64a87fb0ab23c3163af27989d8005" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::OverlayManager::~OverlayManager           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="96e73cb47ca449c26db0d75dc6813d42"></a><!-- doxytag: member="Ogre::OverlayManager::parseNewElement" ref="96e73cb47ca449c26db0d75dc6813d42" args="(DataStreamPtr &amp;chunk, String &amp;elemType, String &amp;elemName, bool isContainer, Overlay *pOverlay, bool isTemplate, String templateName=String(&quot;&quot;), OverlayContainer *container=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::OverlayManager::parseNewElement           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>chunk</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>elemType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>elemName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>isContainer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Overlay.html">Overlay</a> *&nbsp;</td>
          <td class="paramname"> <em>pOverlay</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>isTemplate</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td>
          <td class="paramname"> <em>templateName</em> = <code><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>(&quot;&quot;)</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1OverlayContainer.html">OverlayContainer</a> *&nbsp;</td>
          <td class="paramname"> <em>container</em> = <code>0</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="af0b5faf59a556af71ef7b4b887d5381"></a><!-- doxytag: member="Ogre::OverlayManager::parseAttrib" ref="af0b5faf59a556af71ef7b4b887d5381" args="(const String &amp;line, Overlay *pOverlay)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::OverlayManager::parseAttrib           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Overlay.html">Overlay</a> *&nbsp;</td>
          <td class="paramname"> <em>pOverlay</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="fdce6f04e2e0097002caa4e3c40d3ecf"></a><!-- doxytag: member="Ogre::OverlayManager::parseElementAttrib" ref="fdce6f04e2e0097002caa4e3c40d3ecf" args="(const String &amp;line, Overlay *pOverlay, OverlayElement *pElement)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::OverlayManager::parseElementAttrib           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Overlay.html">Overlay</a> *&nbsp;</td>
          <td class="paramname"> <em>pOverlay</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a> *&nbsp;</td>
          <td class="paramname"> <em>pElement</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="e17f13ae9a34814b1c0ef76f1ae33ee3"></a><!-- doxytag: member="Ogre::OverlayManager::skipToNextCloseBrace" ref="e17f13ae9a34814b1c0ef76f1ae33ee3" args="(DataStreamPtr &amp;chunk)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::OverlayManager::skipToNextCloseBrace           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>chunk</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="37796a5f2868d6aa127dcbd16fe1764a"></a><!-- doxytag: member="Ogre::OverlayManager::skipToNextOpenBrace" ref="37796a5f2868d6aa127dcbd16fe1764a" args="(DataStreamPtr &amp;chunk)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::OverlayManager::skipToNextOpenBrace           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>chunk</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="b3fbeaf03da365270682e46a3ae13519"></a><!-- doxytag: member="Ogre::OverlayManager::parseChildren" ref="b3fbeaf03da365270682e46a3ae13519" args="(DataStreamPtr &amp;chunk, const String &amp;line, Overlay *pOverlay, bool isTemplate, OverlayContainer *parent=NULL)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::OverlayManager::parseChildren           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>chunk</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Overlay.html">Overlay</a> *&nbsp;</td>
          <td class="paramname"> <em>pOverlay</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>isTemplate</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1OverlayContainer.html">OverlayContainer</a> *&nbsp;</td>
          <td class="paramname"> <em>parent</em> = <code>NULL</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="ae9461f3bfd36b651927933f25f58f90"></a><!-- doxytag: member="Ogre::OverlayManager::getElementMap" ref="ae9461f3bfd36b651927933f25f58f90" args="(bool isTemplate)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1OverlayManager.html#96a3fbe3bce8a70cbedd1b6705106cdd">ElementMap</a>&amp; Ogre::OverlayManager::getElementMap           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>isTemplate</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="1bbac03496a15f8f9603b68e80070c2c"></a><!-- doxytag: member="Ogre::OverlayManager::createOverlayElementImpl" ref="1bbac03496a15f8f9603b68e80070c2c" args="(const String &amp;typeName, const String &amp;instanceName, ElementMap &amp;elementMap)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a>* Ogre::OverlayManager::createOverlayElementImpl           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>typeName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>instanceName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1OverlayManager.html#96a3fbe3bce8a70cbedd1b6705106cdd">ElementMap</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>elementMap</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="3cf68206137e3cc2b2230096dc6d4698"></a><!-- doxytag: member="Ogre::OverlayManager::getOverlayElementImpl" ref="3cf68206137e3cc2b2230096dc6d4698" args="(const String &amp;name, ElementMap &amp;elementMap)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a>* Ogre::OverlayManager::getOverlayElementImpl           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1OverlayManager.html#96a3fbe3bce8a70cbedd1b6705106cdd">ElementMap</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>elementMap</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="d63ffecb48bd1e95fa71ff237de8f05d"></a><!-- doxytag: member="Ogre::OverlayManager::destroyOverlayElementImpl" ref="d63ffecb48bd1e95fa71ff237de8f05d" args="(const String &amp;instanceName, ElementMap &amp;elementMap)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::OverlayManager::destroyOverlayElementImpl           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>instanceName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1OverlayManager.html#96a3fbe3bce8a70cbedd1b6705106cdd">ElementMap</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>elementMap</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="40dda4b2eff03a51a5bfeb8de9b29edf"></a><!-- doxytag: member="Ogre::OverlayManager::destroyOverlayElementImpl" ref="40dda4b2eff03a51a5bfeb8de9b29edf" args="(OverlayElement *pInstance, ElementMap &amp;elementMap)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::OverlayManager::destroyOverlayElementImpl           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a> *&nbsp;</td>
          <td class="paramname"> <em>pInstance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1OverlayManager.html#96a3fbe3bce8a70cbedd1b6705106cdd">ElementMap</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>elementMap</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="1b8f8ee064b396bce89ac6160cbf797b"></a><!-- doxytag: member="Ogre::OverlayManager::destroyAllOverlayElementsImpl" ref="1b8f8ee064b396bce89ac6160cbf797b" args="(ElementMap &amp;elementMap)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::OverlayManager::destroyAllOverlayElementsImpl           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1OverlayManager.html#96a3fbe3bce8a70cbedd1b6705106cdd">ElementMap</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>elementMap</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="737c0c7db5f2d0049420c494129196c9"></a><!-- doxytag: member="Ogre::OverlayManager::getScriptPatterns" ref="737c0c7db5f2d0049420c494129196c9" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#783e5227595f351519627abfb740ec85">StringVector</a>&amp; Ogre::OverlayManager::getScriptPatterns           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the file patterns which should be used to find scripts for this class. <p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method is called when a resource group is loaded if you use <a class="el" href="classOgre_1_1ResourceGroupManager.html#afd69be90e1774f2a4b34c4e6dcaa38a" title="Internal method for registering a ScriptLoader.">ResourceGroupManager::_registerScriptLoader</a>. </dd></dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A list of file patterns, in the order they should be searched in. </dd></dl>
 
<p>

<p>Implements <a class="el" href="classOgre_1_1ScriptLoader.html#78189fd757a233f34d5d272f76f6abf6">Ogre::ScriptLoader</a>.</p>

</div>
</div><p>
<a class="anchor" name="ceba4bfe36019ec756be252be387defc"></a><!-- doxytag: member="Ogre::OverlayManager::parseScript" ref="ceba4bfe36019ec756be252be387defc" args="(DataStreamPtr &amp;stream, const String &amp;groupName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::OverlayManager::parseScript           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>groupName</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Parse a script file. <p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>stream</em>&nbsp;</td><td>Weak reference to a data stream which is the source of the script </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>groupName</em>&nbsp;</td><td>The name of a resource group which should be used if any resources are created during the parse of this script. </td></tr>
  </table>
</dl>
 
<p>

<p>Implements <a class="el" href="classOgre_1_1ScriptLoader.html#6bd73a15503c5cb29ed8b7e264e12293">Ogre::ScriptLoader</a>.</p>

</div>
</div><p>
<a class="anchor" name="0fe98c5950e94bb2bbad458d751e817e"></a><!-- doxytag: member="Ogre::OverlayManager::getLoadingOrder" ref="0fe98c5950e94bb2bbad458d751e817e" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::OverlayManager::getLoadingOrder           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the relative loading order of scripts of this type. <p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>There are dependencies between some kinds of scripts, and to enforce this all implementors of this interface must define a loading order. </dd></dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A value representing the relative loading order of these scripts compared to other script users, where higher values load later. </dd></dl>
 
<p>

<p>Implements <a class="el" href="classOgre_1_1ScriptLoader.html#12af311e1399d48c02c57bb545b50497">Ogre::ScriptLoader</a>.</p>

</div>
</div><p>
<a class="anchor" name="b6eb3dcc484ba5b06904ab2fb6b1aa23"></a><!-- doxytag: member="Ogre::OverlayManager::create" ref="b6eb3dcc484ba5b06904ab2fb6b1aa23" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Overlay.html">Overlay</a>* Ogre::OverlayManager::create           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Create a new <a class="el" href="classOgre_1_1Overlay.html" title="Represents a layer which is rendered on top of the &#39;normal&#39; scene contents...">Overlay</a>. 
<p>

</div>
</div><p>
<a class="anchor" name="7d3ddc6d094b72e4b6d0f74376a118a3"></a><!-- doxytag: member="Ogre::OverlayManager::getByName" ref="7d3ddc6d094b72e4b6d0f74376a118a3" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Overlay.html">Overlay</a>* Ogre::OverlayManager::getByName           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Retrieve an <a class="el" href="classOgre_1_1Overlay.html" title="Represents a layer which is rendered on top of the &#39;normal&#39; scene contents...">Overlay</a> by name. 
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A pointer to the <a class="el" href="classOgre_1_1Overlay.html" title="Represents a layer which is rendered on top of the &#39;normal&#39; scene contents...">Overlay</a>, or 0 if not found </dd></dl>

</div>
</div><p>
<a class="anchor" name="490ccc24cd1eda279e0bf349273598e8"></a><!-- doxytag: member="Ogre::OverlayManager::destroy" ref="490ccc24cd1eda279e0bf349273598e8" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::OverlayManager::destroy           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Destroys an existing overlay by name. 
<p>

</div>
</div><p>
<a class="anchor" name="9bb21fa10ec0c6e77b5eff13a9dccbe8"></a><!-- doxytag: member="Ogre::OverlayManager::destroy" ref="9bb21fa10ec0c6e77b5eff13a9dccbe8" args="(Overlay *overlay)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::OverlayManager::destroy           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Overlay.html">Overlay</a> *&nbsp;</td>
          <td class="paramname"> <em>overlay</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Destroys an existing overlay. 
<p>

</div>
</div><p>
<a class="anchor" name="e3677704d31fd65c47e8f1f27c38fae3"></a><!-- doxytag: member="Ogre::OverlayManager::destroyAll" ref="e3677704d31fd65c47e8f1f27c38fae3" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::OverlayManager::destroyAll           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Destroys all existing overlays. 
<p>

</div>
</div><p>
<a class="anchor" name="140ab8e9bc0e307c28b335406e45cef6"></a><!-- doxytag: member="Ogre::OverlayManager::getOverlayIterator" ref="140ab8e9bc0e307c28b335406e45cef6" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MapIterator.html">OverlayMapIterator</a> Ogre::OverlayManager::getOverlayIterator           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="1a73ce8b360346d2174a7be61d2ead7d"></a><!-- doxytag: member="Ogre::OverlayManager::_queueOverlaysForRendering" ref="1a73ce8b360346d2174a7be61d2ead7d" args="(Camera *cam, RenderQueue *pQueue, Viewport *vp)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::OverlayManager::_queueOverlaysForRendering           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Camera.html">Camera</a> *&nbsp;</td>
          <td class="paramname"> <em>cam</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a> *&nbsp;</td>
          <td class="paramname"> <em>pQueue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *&nbsp;</td>
          <td class="paramname"> <em>vp</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Internal method for queueing the visible overlays for rendering. 
<p>

</div>
</div><p>
<a class="anchor" name="ed08da01b1d30c9ec612500b5ece35b9"></a><!-- doxytag: member="Ogre::OverlayManager::hasViewportChanged" ref="ed08da01b1d30c9ec612500b5ece35b9" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::OverlayManager::hasViewportChanged           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Method for determining if the viewport has changed dimensions. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This is used by pixel-based OverlayElements to work out if they need to reclaculate their sizes. </dd></dl>

</div>
</div><p>
<a class="anchor" name="57af3f65687201de011e7e64552d028e"></a><!-- doxytag: member="Ogre::OverlayManager::getViewportHeight" ref="57af3f65687201de011e7e64552d028e" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Ogre::OverlayManager::getViewportHeight           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the height of the destination viewport in pixels. 
<p>

</div>
</div><p>
<a class="anchor" name="30a74f2a6d609220b53007a19c0579d5"></a><!-- doxytag: member="Ogre::OverlayManager::getViewportWidth" ref="30a74f2a6d609220b53007a19c0579d5" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Ogre::OverlayManager::getViewportWidth           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the width of the destination viewport in pixels. 
<p>

</div>
</div><p>
<a class="anchor" name="5643de1c418c05bc50fea7c003a21a67"></a><!-- doxytag: member="Ogre::OverlayManager::getViewportAspectRatio" ref="5643de1c418c05bc50fea7c003a21a67" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::OverlayManager::getViewportAspectRatio           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="58166a773d27c22437323e8ef710406b"></a><!-- doxytag: member="Ogre::OverlayManager::createOverlayElement" ref="58166a773d27c22437323e8ef710406b" args="(const String &amp;typeName, const String &amp;instanceName, bool isTemplate=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a>* Ogre::OverlayManager::createOverlayElement           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>typeName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>instanceName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>isTemplate</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Creates a new <a class="el" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a> of the type requested. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>The type of element to create is passed in as a string because this allows plugins to register new types of component. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>typeName</em>&nbsp;</td><td>The type of element to create. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>instanceName</em>&nbsp;</td><td>The name to give the new instance. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="fcece7239c9ef7cb83e55d05870f797d"></a><!-- doxytag: member="Ogre::OverlayManager::getOverlayElement" ref="fcece7239c9ef7cb83e55d05870f797d" args="(const String &amp;name, bool isTemplate=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a>* Ogre::OverlayManager::getOverlayElement           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>isTemplate</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets a reference to an existing element. 
<p>

</div>
</div><p>
<a class="anchor" name="05a2779ad3df1e83ce3bac230312e6ae"></a><!-- doxytag: member="Ogre::OverlayManager::destroyOverlayElement" ref="05a2779ad3df1e83ce3bac230312e6ae" args="(const String &amp;instanceName, bool isTemplate=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::OverlayManager::destroyOverlayElement           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>instanceName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>isTemplate</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Destroys a <a class="el" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a>. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Make sure you're not still using this in an <a class="el" href="classOgre_1_1Overlay.html" title="Represents a layer which is rendered on top of the &#39;normal&#39; scene contents...">Overlay</a>. If in doubt, let OGRE destroy elements on shutdown. </dd></dl>

</div>
</div><p>
<a class="anchor" name="016873becb2951e90e8870203f036621"></a><!-- doxytag: member="Ogre::OverlayManager::destroyOverlayElement" ref="016873becb2951e90e8870203f036621" args="(OverlayElement *pInstance, bool isTemplate=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::OverlayManager::destroyOverlayElement           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a> *&nbsp;</td>
          <td class="paramname"> <em>pInstance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>isTemplate</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Destroys a <a class="el" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a>. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Make sure you're not still using this in an <a class="el" href="classOgre_1_1Overlay.html" title="Represents a layer which is rendered on top of the &#39;normal&#39; scene contents...">Overlay</a>. If in doubt, let OGRE destroy elements on shutdown. </dd></dl>

</div>
</div><p>
<a class="anchor" name="24f13f48bd25f6792da795fe1c358bef"></a><!-- doxytag: member="Ogre::OverlayManager::destroyAllOverlayElements" ref="24f13f48bd25f6792da795fe1c358bef" args="(bool isTemplate=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::OverlayManager::destroyAllOverlayElements           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>isTemplate</em> = <code>false</code>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Destroys all the <a class="el" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a> created so far. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Best to leave this to the engine to call internally, there should rarely be a need to call it yourself. </dd></dl>

</div>
</div><p>
<a class="anchor" name="8d755456d249ff80d469e9c3944d22ed"></a><!-- doxytag: member="Ogre::OverlayManager::addOverlayElementFactory" ref="8d755456d249ff80d469e9c3944d22ed" args="(OverlayElementFactory *elemFactory)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::OverlayManager::addOverlayElementFactory           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1OverlayElementFactory.html">OverlayElementFactory</a> *&nbsp;</td>
          <td class="paramname"> <em>elemFactory</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Registers a new <a class="el" href="classOgre_1_1OverlayElementFactory.html" title="Defines the interface which all components wishing to supply OverlayElement subclasses...">OverlayElementFactory</a> with this manager. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Should be used by plugins or other apps wishing to provide a new <a class="el" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a> subclass. </dd></dl>

</div>
</div><p>
<a class="anchor" name="242cf57b312d0d77e4023ce71be9aca1"></a><!-- doxytag: member="Ogre::OverlayManager::createOverlayElementFromTemplate" ref="242cf57b312d0d77e4023ce71be9aca1" args="(const String &amp;templateName, const String &amp;typeName, const String &amp;instanceName, bool isTemplate=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a>* Ogre::OverlayManager::createOverlayElementFromTemplate           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>templateName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>typeName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>instanceName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>isTemplate</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="ef7dbde8bb2ecf9b8c44bd8974735c9f"></a><!-- doxytag: member="Ogre::OverlayManager::cloneOverlayElementFromTemplate" ref="ef7dbde8bb2ecf9b8c44bd8974735c9f" args="(const String &amp;templateName, const String &amp;instanceName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a>* Ogre::OverlayManager::cloneOverlayElementFromTemplate           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>templateName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>instanceName</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Creates a new <a class="el" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a> object from the specified template name. </dd></dl>

<p>
The new object's name, and all of it's children, will be instanceName/orignalName. 
</div>
</div><p>
<a class="anchor" name="093ac041b9750ba4d915b6c548d278aa"></a><!-- doxytag: member="Ogre::OverlayManager::createOverlayElementFromFactory" ref="093ac041b9750ba4d915b6c548d278aa" args="(const String &amp;typeName, const String &amp;instanceName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a>* Ogre::OverlayManager::createOverlayElementFromFactory           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>typeName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>instanceName</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="9e6ec516d1d52c5291d5f943fc843ab2"></a><!-- doxytag: member="Ogre::OverlayManager::getTemplateIterator" ref="9e6ec516d1d52c5291d5f943fc843ab2" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MapIterator.html">TemplateIterator</a> Ogre::OverlayManager::getTemplateIterator           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns an iterator over all templates in this manager. 
<p>

<p>Definition at line <a class="el" href="OgreOverlayManager_8h-source.html#l00186">186</a> of file <a class="el" href="OgreOverlayManager_8h-source.html">OgreOverlayManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f80970f61eb0d6d20ec462f95f4e659a"></a><!-- doxytag: member="Ogre::OverlayManager::isTemplate" ref="f80970f61eb0d6d20ec462f95f4e659a" args="(String strName) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::OverlayManager::isTemplate           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td>
          <td class="paramname"> <em>strName</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreOverlayManager_8h-source.html#l00191">191</a> of file <a class="el" href="OgreOverlayManager_8h-source.html">OgreOverlayManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="de527bdaf5edb3d9d080f3cf292cfca5"></a><!-- doxytag: member="Ogre::OverlayManager::getSingleton" ref="de527bdaf5edb3d9d080f3cf292cfca5" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1OverlayManager.html">OverlayManager</a>&amp; Ogre::OverlayManager::getSingleton           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Why do we do this? Well, it's because the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> template to work, but we actually only want it compiled into the implementation of the class based on the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors. </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1Singleton.html#7757bd7ac3702c144502e53ad6491888">Ogre::Singleton&lt; T &gt;</a>.</p>

</div>
</div><p>
<a class="anchor" name="ce76368f6fa68ae0dad4547c7f4be25c"></a><!-- doxytag: member="Ogre::OverlayManager::getSingletonPtr" ref="ce76368f6fa68ae0dad4547c7f4be25c" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1OverlayManager.html">OverlayManager</a>* Ogre::OverlayManager::getSingletonPtr           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Why do we do this? Well, it's because the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> template to work, but we actually only want it compiled into the implementation of the class based on the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors. </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1Singleton.html#7ab51c46521b89723d6186a52a7e0d7b">Ogre::Singleton&lt; T &gt;</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="a302492cbd16256240d4887440ec7bbb"></a><!-- doxytag: member="Ogre::OverlayManager::mOverlayMap" ref="a302492cbd16256240d4887440ec7bbb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1OverlayManager.html#1def2dea3aa2479b850b699c2c73e025">OverlayMap</a> <a class="el" href="classOgre_1_1OverlayManager.html#a302492cbd16256240d4887440ec7bbb">Ogre::OverlayManager::mOverlayMap</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreOverlayManager_8h-source.html#l00051">51</a> of file <a class="el" href="OgreOverlayManager_8h-source.html">OgreOverlayManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="04a9c072c6106a1a848b0a47c40a930f"></a><!-- doxytag: member="Ogre::OverlayManager::mScriptPatterns" ref="04a9c072c6106a1a848b0a47c40a930f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#783e5227595f351519627abfb740ec85">StringVector</a> <a class="el" href="classOgre_1_1OverlayManager.html#04a9c072c6106a1a848b0a47c40a930f">Ogre::OverlayManager::mScriptPatterns</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreOverlayManager_8h-source.html#l00052">52</a> of file <a class="el" href="OgreOverlayManager_8h-source.html">OgreOverlayManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="04e5656f23bd72e781bbc4bf83ab38bc"></a><!-- doxytag: member="Ogre::OverlayManager::mLastViewportWidth" ref="04e5656f23bd72e781bbc4bf83ab38bc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1OverlayManager.html#04e5656f23bd72e781bbc4bf83ab38bc">Ogre::OverlayManager::mLastViewportWidth</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreOverlayManager_8h-source.html#l00061">61</a> of file <a class="el" href="OgreOverlayManager_8h-source.html">OgreOverlayManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="516490c9c5ff818a521520259586d0a3"></a><!-- doxytag: member="Ogre::OverlayManager::mLastViewportHeight" ref="516490c9c5ff818a521520259586d0a3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1OverlayManager.html#516490c9c5ff818a521520259586d0a3">Ogre::OverlayManager::mLastViewportHeight</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreOverlayManager_8h-source.html#l00061">61</a> of file <a class="el" href="OgreOverlayManager_8h-source.html">OgreOverlayManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e10fee3d54d650aea1472151e7e3214f"></a><!-- doxytag: member="Ogre::OverlayManager::mViewportDimensionsChanged" ref="e10fee3d54d650aea1472151e7e3214f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1OverlayManager.html#e10fee3d54d650aea1472151e7e3214f">Ogre::OverlayManager::mViewportDimensionsChanged</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreOverlayManager_8h-source.html#l00062">62</a> of file <a class="el" href="OgreOverlayManager_8h-source.html">OgreOverlayManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="dfd58dac2fb2627db482c02a618fed5b"></a><!-- doxytag: member="Ogre::OverlayManager::mFactories" ref="dfd58dac2fb2627db482c02a618fed5b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1OverlayManager.html#47343d4ae891d8e1bf676c8c39104be4">FactoryMap</a> <a class="el" href="classOgre_1_1OverlayManager.html#dfd58dac2fb2627db482c02a618fed5b">Ogre::OverlayManager::mFactories</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreOverlayManager_8h-source.html#l00068">68</a> of file <a class="el" href="OgreOverlayManager_8h-source.html">OgreOverlayManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f9d93d29680706dbf485bdd6f797e199"></a><!-- doxytag: member="Ogre::OverlayManager::mInstances" ref="f9d93d29680706dbf485bdd6f797e199" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1OverlayManager.html#96a3fbe3bce8a70cbedd1b6705106cdd">ElementMap</a> <a class="el" href="classOgre_1_1OverlayManager.html#f9d93d29680706dbf485bdd6f797e199">Ogre::OverlayManager::mInstances</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreOverlayManager_8h-source.html#l00070">70</a> of file <a class="el" href="OgreOverlayManager_8h-source.html">OgreOverlayManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8c29379ab04930b44b4d4cd7d4ed342f"></a><!-- doxytag: member="Ogre::OverlayManager::mTemplates" ref="8c29379ab04930b44b4d4cd7d4ed342f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1OverlayManager.html#96a3fbe3bce8a70cbedd1b6705106cdd">ElementMap</a> <a class="el" href="classOgre_1_1OverlayManager.html#8c29379ab04930b44b4d4cd7d4ed342f">Ogre::OverlayManager::mTemplates</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreOverlayManager_8h-source.html#l00071">71</a> of file <a class="el" href="OgreOverlayManager_8h-source.html">OgreOverlayManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="15d8218b76f778c37940a898f51acb37"></a><!-- doxytag: member="Ogre::OverlayManager::mLoadedScripts" ref="15d8218b76f778c37940a898f51acb37" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1OverlayManager.html#8943e6c383c1332091c591ec3fb53be3">LoadedScripts</a> <a class="el" href="classOgre_1_1OverlayManager.html#15d8218b76f778c37940a898f51acb37">Ogre::OverlayManager::mLoadedScripts</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreOverlayManager_8h-source.html#l00074">74</a> of file <a class="el" href="OgreOverlayManager_8h-source.html">OgreOverlayManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d36ac06b409a2d580217328ef2cd3a01"></a><!-- doxytag: member="Ogre::OverlayManager::ms_Singleton" ref="d36ac06b409a2d580217328ef2cd3a01" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T* <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; T &gt;::<a class="el" href="classOgre_1_1Singleton.html#d36ac06b409a2d580217328ef2cd3a01">ms_Singleton</a><code> [static, protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSingleton_8h-source.html#l00061">61</a> of file <a class="el" href="OgreSingleton_8h-source.html">OgreSingleton.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSingleton_8h-source.html#l00076">Ogre::Singleton&lt; Ogre::FontManager &gt;::getSingleton()</a>, <a class="el" href="OgreSingleton_8h-source.html#l00078">Ogre::Singleton&lt; Ogre::FontManager &gt;::getSingletonPtr()</a>, <a class="el" href="OgreSingleton_8h-source.html#l00064">Ogre::Singleton&lt; Ogre::FontManager &gt;::Singleton()</a>, and <a class="el" href="OgreSingleton_8h-source.html#l00074">Ogre::Singleton&lt; Ogre::FontManager &gt;::~Singleton()</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreOverlayManager_8h-source.html">OgreOverlayManager.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:11 2008
</p>
</body>
</html>
